### Virtual Method

# Ggit CheckoutOptions notify

#### Declaration [src]

    gint
    notify (
      GgitCheckoutOptions* options,
      GgitCheckoutNotifyFlags why,
      const gchar* path,
      GgitDiffFile* baseline,
      GgitDiffFile* target,
      GgitDiffFile* workdir
    )

#### Description

No description available.

#### Parameters

`why`

  Type: `GgitCheckoutNotifyFlags`

  No description available.

`path`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`baseline`

  Type: `GgitDiffFile`

  No description available.

  The data is owned by the caller of the method.

`target`

  Type: `GgitDiffFile`

  No description available.

  The data is owned by the caller of the method.

`workdir`

  Type: `GgitDiffFile`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

No description available.